


#include "xplayer-pl-parser.h"
#include "xplayer-pl-parser-builtins.h"

/* enumerations from "xplayer-pl-parser.h" */
GType
xplayer_pl_parser_result_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { XPLAYER_PL_PARSER_RESULT_UNHANDLED, "XPLAYER_PL_PARSER_RESULT_UNHANDLED", "unhandled" },
      { XPLAYER_PL_PARSER_RESULT_ERROR, "XPLAYER_PL_PARSER_RESULT_ERROR", "error" },
      { XPLAYER_PL_PARSER_RESULT_SUCCESS, "XPLAYER_PL_PARSER_RESULT_SUCCESS", "success" },
      { XPLAYER_PL_PARSER_RESULT_IGNORED, "XPLAYER_PL_PARSER_RESULT_IGNORED", "ignored" },
      { XPLAYER_PL_PARSER_RESULT_CANCELLED, "XPLAYER_PL_PARSER_RESULT_CANCELLED", "cancelled" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("XplayerPlParserResult", values);
  }
  return etype;
}
GType
xplayer_pl_parser_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { XPLAYER_PL_PARSER_PLS, "XPLAYER_PL_PARSER_PLS", "pls" },
      { XPLAYER_PL_PARSER_M3U, "XPLAYER_PL_PARSER_M3U", "m3u" },
      { XPLAYER_PL_PARSER_M3U_DOS, "XPLAYER_PL_PARSER_M3U_DOS", "m3u-dos" },
      { XPLAYER_PL_PARSER_XSPF, "XPLAYER_PL_PARSER_XSPF", "xspf" },
      { XPLAYER_PL_PARSER_IRIVER_PLA, "XPLAYER_PL_PARSER_IRIVER_PLA", "iriver-pla" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("XplayerPlParserType", values);
  }
  return etype;
}
GType
xplayer_pl_parser_error_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { XPLAYER_PL_PARSER_ERROR_NO_DISC, "XPLAYER_PL_PARSER_ERROR_NO_DISC", "no-disc" },
      { XPLAYER_PL_PARSER_ERROR_MOUNT_FAILED, "XPLAYER_PL_PARSER_ERROR_MOUNT_FAILED", "mount-failed" },
      { XPLAYER_PL_PARSER_ERROR_EMPTY_PLAYLIST, "XPLAYER_PL_PARSER_ERROR_EMPTY_PLAYLIST", "empty-playlist" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("XplayerPlParserError", values);
  }
  return etype;
}



